<form class="legends sheet npc-sheet {{cssClass}}" autocomplete="off">
  <header class="sheet-header">
    <img src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="64" width="64" />
    <section class="row">
      <section class="cell cell-3">
        <h1 class="block charname"><input name="name" type="text" value="{{actor.name}}"
            placeholder="{{localize "legends.actor-sheet.name"}}" /></h1>
      </section>
      <section class="cell cell-2">
        <select name="system.level" class="block">
          {{#select data.system.level}}
            {{#each config.npcLevels as |name type|}}
              <option value="{{type}}">{{localize name}}</option>
            {{/each}}
          {{/select}}
        </select>
      </section>
    </section>
  </header>

  <section class="body">
    <section class="description-drive">
      {{> "systems/legends/templates/partials/description-editor.hbs" }}

      {{> "systems/legends/templates/partials/labelled-input.hbs" field="system.drive" label="legends.actor-sheet.npc.drive" value=data.system.drive class="text"}}
    </section>

    <section class="item npc-principle principle">
      {{#if principle}}
        {{> "systems/legends/templates/partials/npc-principle-card.hbs" principle}}
      {{else}}
        <h1 class="title underline">
          {{localize "legends.principle.title"}}:
          {{localize "legends.common.none"}}
        </h1>
        <p>{{localize "legends.principle.none" }}</em></p>
      {{/if}}
    </section>

    <section class="fatigue">
      <h1 class="title underline">{{localize "legends.actor-sheet.fatigue"}}
        <a class="decrease-fatigue black small" title="{{localize "legends.actor-sheet.npc.fatigue.remove"}}"><i
            class="fas fa-minus"></i></a>
        <a class="increase-fatigue black small" title="{{localize "legends.actor-sheet.npc.fatigue.add"}}"><i
            class="fas fa-plus"></i></a>
      </h1>
      <section class="fatigue-boxes">
        {{#times data.system.fatigue.max}}
          <a class="check-box set-fatigue{{#if (gte ../data.system.fatigue.value @index)}} filled{{/if}}"
            data-param="fatigue" data-new-value="{{@index}}"></a>
          {{#if (modulus 5 @index)}}
            {{#unless (eq @index ../data.system.fatigue.max)}}
              &nbsp;
            {{/unless}}
          {{/if}}
        {{/times}}
      </section>
    </section>

    <section class="technique-conditions row">
      <section class="technique-container cell cell-3">
        <h1 class="title underline">
          {{localize "legends.techniques.title"}}
        </h1>
        {{#if techniques}}
          <section class="item-list">
            {{#each techniques as |technique|}}
              {{> "systems/legends/templates/partials/technique-card.hbs" technique inSheet=true npc=true}}
            {{/each}}
          </section>
        {{else}}
          <p>{{localize "legends.techniques.none" }}</p>
        {{/if}}
      </section>

      <section class="conditions cell cell-2">
        <h1 class="title underline">{{ localize "legends.actor-sheet.conditions" }}</h1>
        {{#if conditions}}
          <section class="item-list">
            {{#each conditions as |condition id|}}
              {{> "systems/legends/templates/partials/condition-card.hbs" condition inSheet=true npc=true}}
            {{/each}}
          </section>
        {{else}}
          <p>{{localize "legends.condition.none" }}</p>
        {{/if}}

        <h1 class="title underline pad-top">
          {{ localize "legends.status.title" }}
        </h1>
        <section class="statuses">
          {{#if (or (gt statuses.positive.length 0) (gt statuses.negative.length 0))}}
            <section class="positive item-list">
              {{#each statuses.positive as |status id|}}
                {{> "systems/legends/templates/partials/condition-card.hbs" status inSheet=true npc=true}}
              {{/each}}
            </section>
            <section class="negative item-list">
              {{#each statuses.negative as |status id|}}
                {{> "systems/legends/templates/partials/condition-card.hbs" status inSheet=true npc=true}}
              {{/each}}
            </section>
          {{else}}
            <p>{{localize "legends.status.none" }}</p>
          {{/if}}
        </section>
      </section>
    </section>
  </section>
</form>
